<!DOCTYPE html>
<html><head>
<title>eric7</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<h1>eric7</h1>
<p>
Package implementing the eric Python IDE.
</p>
<p>
To get more information about eric please see the
<a href="https://eric-ide.python-projects.org/index.html">eric web site</a>.
</p>


<h3>Packages</h3>
<table>

<tr>
<td><a href="index-eric7.CodeFormatting.html">CodeFormatting</a></td>
<td>Package implementing dialogs to perform some code formatting.</td>
</tr>
<tr>
<td><a href="index-eric7.CondaInterface.html">CondaInterface</a></td>
<td>Package implementing the various conda related modules.</td>
</tr>
<tr>
<td><a href="index-eric7.Cooperation.html">Cooperation</a></td>
<td>Package containing the modules dealing with cooperation.</td>
</tr>
<tr>
<td><a href="index-eric7.CycloneDXInterface.html">CycloneDXInterface</a></td>
<td>Package implementing the interface to the CycloneDX tool for the generation of Software Bill of Materials files.</td>
</tr>
<tr>
<td><a href="index-eric7.DataViews.html">DataViews</a></td>
<td>Package containing modules for viewing various data.</td>
</tr>
<tr>
<td><a href="index-eric7.DebugClients.html">DebugClients</a></td>
<td>Package implementing debug clients for various languages.</td>
</tr>
<tr>
<td><a href="index-eric7.Debugger.html">Debugger</a></td>
<td>Package implementing the Debugger frontend.</td>
</tr>
<tr>
<td><a href="index-eric7.DocumentationTools.html">DocumentationTools</a></td>
<td>Package implementing the source code documentation tools.</td>
</tr>
<tr>
<td><a href="index-eric7.EricCore.html">EricCore</a></td>
<td>Package implementing some special Core elements.</td>
</tr>
<tr>
<td><a href="index-eric7.EricGraphics.html">EricGraphics</a></td>
<td>Package implementing some QGraphicsView related general purpoe classes.</td>
</tr>
<tr>
<td><a href="index-eric7.EricGui.html">EricGui</a></td>
<td>Package implementing some special GUI elements.</td>
</tr>
<tr>
<td><a href="index-eric7.EricNetwork.html">EricNetwork</a></td>
<td>Package implementing some special network related objects and functions.</td>
</tr>
<tr>
<td><a href="index-eric7.EricUtilities.html">EricUtilities</a></td>
<td>Package containing utility modules and functions.</td>
</tr>
<tr>
<td><a href="index-eric7.EricWidgets.html">EricWidgets</a></td>
<td>Package implementing some special widgets.</td>
</tr>
<tr>
<td><a href="index-eric7.EricXML.html">EricXML</a></td>
<td>Package implementing the XML handling module of eric.</td>
</tr>
<tr>
<td><a href="index-eric7.Globals.html">Globals</a></td>
<td>Module defining common data to be used by all modules.</td>
</tr>
<tr>
<td><a href="index-eric7.Graphics.html">Graphics</a></td>
<td>Package implementing various graphical representations.</td>
</tr>
<tr>
<td><a href="index-eric7.HelpViewer.html">HelpViewer</a></td>
<td>Package implementing an embedded viewer for QtHelp and local HTML files.</td>
</tr>
<tr>
<td><a href="index-eric7.HexEdit.html">HexEdit</a></td>
<td>Package implementing a hex editor.</td>
</tr>
<tr>
<td><a href="index-eric7.IconEditor.html">IconEditor</a></td>
<td>Package implementing the icon editor tool.</td>
</tr>
<tr>
<td><a href="index-eric7.JediInterface.html">JediInterface</a></td>
<td>Package implementing the jedi assistant interface.</td>
</tr>
<tr>
<td><a href="index-eric7.MicroPython.html">MicroPython</a></td>
<td>Package implementing an interface to MicroPython devices like esp32.</td>
</tr>
<tr>
<td><a href="index-eric7.MultiProject.html">MultiProject</a></td>
<td>Package implementing the multi project management module of eric.</td>
</tr>
<tr>
<td><a href="index-eric7.Network.html">Network</a></td>
<td>Package containing network related services.</td>
</tr>
<tr>
<td><a href="index-eric7.PdfViewer.html">PdfViewer</a></td>
<td>Package implementing a simple PDF viewer tool.</td>
</tr>
<tr>
<td><a href="index-eric7.PipInterface.html">PipInterface</a></td>
<td>Package implementing the various pip dialogs and data.</td>
</tr>
<tr>
<td><a href="index-eric7.PluginManager.html">PluginManager</a></td>
<td>Package containing the code for the Plugin Manager and related parts.</td>
</tr>
<tr>
<td><a href="index-eric7.Plugins.html">Plugins</a></td>
<td>Package containing all core plugins.</td>
</tr>
<tr>
<td><a href="index-eric7.Preferences.html">Preferences</a></td>
<td>Package implementing the preferences interface.</td>
</tr>
<tr>
<td><a href="index-eric7.Project.html">Project</a></td>
<td>Package implementing the project management module of eric.</td>
</tr>
<tr>
<td><a href="index-eric7.QScintilla.html">QScintilla</a></td>
<td>Package implementing the editor and shell components of the eric IDE.</td>
</tr>
<tr>
<td><a href="index-eric7.QtHelpInterface.html">QtHelpInterface</a></td>
<td>Package containing the interface to QtHelp.</td>
</tr>
<tr>
<td><a href="index-eric7.RemoteServer.html">RemoteServer</a></td>
<td>Package implementing the components of the eric-ide remote server.</td>
</tr>
<tr>
<td><a href="index-eric7.RemoteServerInterface.html">RemoteServerInterface</a></td>
<td>Package implementing the components of the eric-ide remote server interface.</td>
</tr>
<tr>
<td><a href="index-eric7.Sessions.html">Sessions</a></td>
<td>Package containing session related modules.</td>
</tr>
<tr>
<td><a href="index-eric7.Snapshot.html">Snapshot</a></td>
<td>Package implementing the modules for the screenshot utility.</td>
</tr>
<tr>
<td><a href="index-eric7.SqlBrowser.html">SqlBrowser</a></td>
<td>Package containing module for the SQL browser tool.</td>
</tr>
<tr>
<td><a href="index-eric7.SystemUtilities.html">SystemUtilities</a></td>
<td>Package implementing system level utility functions and classes.</td>
</tr>
<tr>
<td><a href="index-eric7.Tasks.html">Tasks</a></td>
<td>Package containing modules for the task management tool.</td>
</tr>
<tr>
<td><a href="index-eric7.Templates.html">Templates</a></td>
<td>Package containing modules for the templating system.</td>
</tr>
<tr>
<td><a href="index-eric7.Testing.html">Testing</a></td>
<td>Package implementing testing functionality and interface to various test frameworks.</td>
</tr>
<tr>
<td><a href="index-eric7.Toolbox.html">Toolbox</a></td>
<td>Package implementing general purpose tools.</td>
</tr>
<tr>
<td><a href="index-eric7.Tools.html">Tools</a></td>
<td>Package implementing some useful tools used by the IDE.</td>
</tr>
<tr>
<td><a href="index-eric7.UI.html">UI</a></td>
<td>Package implementing the main user interface and general purpose dialogs.</td>
</tr>
<tr>
<td><a href="index-eric7.Utilities.html">Utilities</a></td>
<td>Package implementing various functions/classes needed everywhere within eric.</td>
</tr>
<tr>
<td><a href="index-eric7.VCS.html">VCS</a></td>
<td>Module implementing the general part of the interface to version control systems.</td>
</tr>
<tr>
<td><a href="index-eric7.ViewManager.html">ViewManager</a></td>
<td>Package implementing the viewmanager of the eric IDE.</td>
</tr>
<tr>
<td><a href="index-eric7.VirtualEnv.html">VirtualEnv</a></td>
<td>Package implementing virtualenv related functionality.</td>
</tr>
<tr>
<td><a href="index-eric7.WebBrowser.html">WebBrowser</a></td>
<td>Package implementing a little web browser.</td>
</tr>
</table>

<h3>Modules</h3>
<table>

<tr>
<td><a href="eric7.__main__.html">__main__</a></td>
<td>Main script to enable starting eric7 with 'python -m eric7'.</td>
</tr>
<tr>
<td><a href="eric7.__version__.html">__version__</a></td>
<td>Module containing some eric-ide version information.</td>
</tr>
<tr>
<td><a href="eric7.eric7_api.html">eric7_api</a></td>
<td>eric API Generator.</td>
</tr>
<tr>
<td><a href="eric7.eric7_browser.html">eric7_browser</a></td>
<td>eric Web Browser.</td>
</tr>
<tr>
<td><a href="eric7.eric7_compare.html">eric7_compare</a></td>
<td>eric Compare.</td>
</tr>
<tr>
<td><a href="eric7.eric7_configure.html">eric7_configure</a></td>
<td>eric Configure.</td>
</tr>
<tr>
<td><a href="eric7.eric7_diff.html">eric7_diff</a></td>
<td>eric Diff.</td>
</tr>
<tr>
<td><a href="eric7.eric7_doc.html">eric7_doc</a></td>
<td>eric Documentation Generator.</td>
</tr>
<tr>
<td><a href="eric7.eric7_editor.html">eric7_editor</a></td>
<td>eric Editor.</td>
</tr>
<tr>
<td><a href="eric7.eric7_fido2.html">eric7_fido2</a></td>
<td>eric FIDO2 Token Management.</td>
</tr>
<tr>
<td><a href="eric7.eric7_hexeditor.html">eric7_hexeditor</a></td>
<td>eric Hex Editor.</td>
</tr>
<tr>
<td><a href="eric7.eric7_iconeditor.html">eric7_iconeditor</a></td>
<td>eric Icon Editor.</td>
</tr>
<tr>
<td><a href="eric7.eric7_ide.html">eric7_ide</a></td>
<td>eric Python IDE.</td>
</tr>
<tr>
<td><a href="eric7.eric7_mpy.html">eric7_mpy</a></td>
<td>eric MicroPython devices.</td>
</tr>
<tr>
<td><a href="eric7.eric7_pdf.html">eric7_pdf</a></td>
<td>eric PDF Viewer.</td>
</tr>
<tr>
<td><a href="eric7.eric7_pip.html">eric7_pip</a></td>
<td>eric pip Packages Manager.</td>
</tr>
<tr>
<td><a href="eric7.eric7_plugininstall.html">eric7_plugininstall</a></td>
<td>eric Plugin Installer.</td>
</tr>
<tr>
<td><a href="eric7.eric7_pluginrepository.html">eric7_pluginrepository</a></td>
<td>eric Plugin Repository.</td>
</tr>
<tr>
<td><a href="eric7.eric7_pluginuninstall.html">eric7_pluginuninstall</a></td>
<td>erice Plugin Uninstaller.</td>
</tr>
<tr>
<td><a href="eric7.eric7_post_install.html">eric7_post_install</a></td>
<td>Module implementing the post install logic for 'pip install'.</td>
</tr>
<tr>
<td><a href="eric7.eric7_qregularexpression.html">eric7_qregularexpression</a></td>
<td>eric QRegularExpression.</td>
</tr>
<tr>
<td><a href="eric7.eric7_re.html">eric7_re</a></td>
<td>eric Re.</td>
</tr>
<tr>
<td><a href="eric7.eric7_server.html">eric7_server</a></td>
<td>eric-ide Server.</td>
</tr>
<tr>
<td><a href="eric7.eric7_shell.html">eric7_shell</a></td>
<td>eric Shell.</td>
</tr>
<tr>
<td><a href="eric7.eric7_snap.html">eric7_snap</a></td>
<td>eric Snap.</td>
</tr>
<tr>
<td><a href="eric7.eric7_sqlbrowser.html">eric7_sqlbrowser</a></td>
<td>eric SQL Browser.</td>
</tr>
<tr>
<td><a href="eric7.eric7_testing.html">eric7_testing</a></td>
<td>eric testing.</td>
</tr>
<tr>
<td><a href="eric7.eric7_tray.html">eric7_tray</a></td>
<td>eric Tray.</td>
</tr>
<tr>
<td><a href="eric7.eric7_trpreviewer.html">eric7_trpreviewer</a></td>
<td>eric TR Previewer.</td>
</tr>
<tr>
<td><a href="eric7.eric7_uipreviewer.html">eric7_uipreviewer</a></td>
<td>eric UI Previewer.</td>
</tr>
<tr>
<td><a href="eric7.eric7_virtualenv.html">eric7_virtualenv</a></td>
<td>eric Virtual Environment Manager.</td>
</tr>
<tr>
<td><a href="eric7.eric7config.html">eric7config</a></td>
<td>Module containing the default configuration of the eric installation.</td>
</tr>
</table>
</body></html>
